import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizactivatedetail/` + url, ...arg)

/**
 * 激活明细Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/05 14:33
 **/
export default {
	// 获取激活明细分页
	bizActivateDetailPage(data) {
		return request('page', data, 'get')
	},
	// 提交激活明细表单 edit为true时为编辑，默认为新增
	bizActivateDetailSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除激活明细
	bizActivateDetailDelete(data) {
		return request('delete', data)
	},
	// 获取激活明细详情
	bizActivateDetailDetail(data) {
		return request('detail', data, 'get')
	}
}
